open-vm-tools 10.0.0

- Main Page
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Enumerations | Functions
vmtoolsConfig.c File Reference
`#include "vmware/tools/utils.h"`
`#include <errno.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <glib/gstdio.h>`
`#include "vm_assert.h"`
`#include "dictll.h"`
`#include "conf.h"`
`#include "err.h"`
`#include "guestApp.h"`
`#include "str.h"`
`#include "strutil.h"`
`#include "util.h"`

## Typedefs
typedef struct ConfigEntry | ConfigEntry
typedef void(* | CfgCallback) (GKeyFile *cfg, const ConfigEntry *, const char *)

## Enumerations
enum | ConfigType { CFG_BOOLEAN, CFG_INTEGER, CFG_STRING, CFG_CALLBACK }

## Functions
gboolean | VMTools_LoadConfig (const gchar *path, GKeyFileFlags flags, GKeyFile **config, time_t *mtime)
gboolean | VMTools_WriteConfig (const gchar *path, GKeyFile *config, GError **err)

## Detailed Description

Convenience functions for loading tools configuration files, and automatically migrating from old-style tools configuration files.

## Typedef Documentation

typedef struct ConfigEntry ConfigEntry

Holds information about how to upgrade an old config entry.

## Enumeration Type Documentation

enum ConfigType

Data types supported for translation.